import { createRouter, createWebHistory, createWebHashHistory } from 'vue-router'
import HomeView from '../views/HomeView.vue'
import Language from "../components/Language.vue";
import Step_1 from "../views/Step_1.vue";
import Step_2 from "../views/Step_2.vue";
import Step_3 from "../views/Step_3.vue";
import Step_4 from "../views/Step_4.vue";
import Step_5 from "../views/Step_5.vue";
// 天燈
import Interact from '../views/Interact.vue'
import InteractHome from '../views/InteractHome.vue'
import InteractStep_1 from '../views/InteractStep_1.vue'
import InteractStep_2 from '../views/InteractStep_2.vue'
import InteractStep_3 from '../views/InteractStep_3.vue'

const router = createRouter({
  history: createWebHashHistory(),
  routes: [
    {
      path: '/',
      name: 'home',
      component: HomeView,
      children: [
        {
          path: '/',
          component: Language,
        },
        {
          path: 'step1',
          component: Step_1,
        },
        {
          path: 'step2',
          component: Step_2,
        },
        {
          path: 'step3',
          component: Step_3,
        },
        {
          path: 'step4',
          component: Step_4,
        },
        {
          path: 'step5',
          component: Step_5,
        },
        // 天燈
        {
          path: '/interact',
          name: 'Interact',
          component: Interact
        },
        {
          path: '/interacthome',
          name: 'Interact_home',
          component: InteractHome
        },
        {
          path: '/interact_step1',
          name: 'Interact_step1',
          component: InteractStep_1
        },
        {
          path: '/interact_step2',
          name: 'Interact_step2',
          component: InteractStep_2
        },
        {
          path: '/interact_step3',
          name: 'Interact_step3',
          component: InteractStep_3
        },
      ],
    },
  ]
})

export default router
